const C = {
    LOADING_START: "LOADING_START",
    LOADING_END: "LOADING_END",

    LOGIN: "LOGIN",
    LOGOUT: "LOGOUT",
    EDIT_USER: "EDIT_USER",
    LOADING_USER: "LOADING_USER",

    SAVE_THEMES: "SAVE_THEMES",
    SAVE_SUBTHEMES: "SAVE_SUBTHEMES",

    LOADING_VOCABULARYTHEMES: "LOADING_VOCABULARYTHEMES",
    SAVE_VOCABULARYTHEMES: "SAVE_VOCABULARYTHEMES",

    LOADING_VOCABULARYSUBTHEMES: "LOADING_VOCABULARYSUBTHEMES",
    SAVE_VOCABULARYSUBTHEMES: "SAVE_VOCABULARYSUBTHEMES",

    LOADING_GROUP: "LOADING_GROUP",
    SAVE_GROUPS: "SAVE_GROUPS",
    EDIT_GROUP: "EDIT_GROUP",
    CREATE_GROUP: "CREATE_GROUP",
    REMOVE_GROUP: "REMOVE_GROUP",

    LOADING_STUDENT: "LOADING_STUDENT",
    GET_STUDENTS: "GET_STUDENTS",
    EDIT_STUDENT: "EDIT_STUDENT",
    REMOVE_STUDENT: "REMOVE_STUDENT",

    LOADING_TASKGROUP: "LOADING_TASKGROUP",
    SAVE_TASKGROUPS: "SAVE_TASKGROUPS",
    SAVE_STUDENTTASKGROUPS: "SAVE_STUDENTTASKGROUPS",
    CREATE_TASKGROUP: "CREATE_TASKGROUP",
    EDIT_TASKGROUP: "EDIT_TASKGROUP",
    REMOVE_TASKGROUP: "REMOVE_TASKGROUP",

    LOADING_GRAMMARTASK: "LOADING_GRAMMARTASK",
    SAVE_GRAMMARTASKS: "SAVE_GRAMMARTASKS",
    CREATE_GRAMMARTASK: "CREATE_GRAMMARTASK",
    EDIT_GRAMMARTASK: "EDIT_GRAMMARTASK",
    REMOVE_GRAMMARTASK: "REMOVE_GRAMMARTASK",

    LOADING_VOCABULARYTASK: "LOADING_VOCABULARYTASK",
    SAVE_VOCABULARYTASKS: "SAVE_VOCABULARYTASKS",
    CREATE_VOCABULARYTASK: "CREATE_VOCABULARYTASK",
    EDIT_VOCABULARYTASK: "EDIT_VOCABULARYTASK",
    REMOVE_VOCABULARYTASK: "REMOVE_VOCABULARYTASK",

    LOADING_MARK: "LOADING_MARKS",
    SAVE_MARKS: "SAVE_MARKS",
    SAVE_MARKS_BY_TASKGROUP: "SAVE_MARKS_BY_TASKGROUP",
    CREATE_MARK: "CREATE_MARK",
    EDIT_MARK: "EDIT_MARK",
    REMOVE_MARK: "REMOVE_MARK"
};

export default C;
